[Master] package openoffice.org-emailmerge 1:3.2.0-7ubuntu4.1 failed to install/upgrade:

Bug #450569 reported by Michael Vogt on 2009-10-13
This bug affects 957 people
Affects Status Importance Assigned to Milestone
docvert (Ubuntu)
Undecided
Unassigned
Declined for Dapper by Chris Cheney
Declined for Hardy by Chris Cheney
Declined for Intrepid by Chris Cheney
Declined for Jaunty by Chris Cheney
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
openoffice.org (Ubuntu)
Critical
Chris Cheney
Declined for Dapper by Chris Cheney
Declined for Hardy by Chris Cheney
Declined for Intrepid by Chris Cheney
Declined for Jaunty by Chris Cheney
Karmic
Critical
Chris Cheney
Lucid
Critical
Chris Cheney
update-manager (Ubuntu)
Undecided
Unassigned
Declined for Dapper by Chris Cheney
Declined for Hardy by Chris Cheney
Declined for Intrepid by Chris Cheney
Declined for Jaunty by Chris Cheney
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned

Bug Description

Binary package hint: openoffice.org

during a jaunty->karmic upgrade

ProblemType: Package
Architecture: i386
Date: Tue Oct 13 18:34:21 2009
DistroRelease: Ubuntu 9.10
ErrorMessage:
 ErrorMessage: package openoffice.org-emailmerge is already installed and configured
Package: openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1
PackageArchitecture: all
ProcVersionSignature: Ubuntu 2.6.28-13.44-generic
SourcePackage: openoffice.org
Title: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
Uname: Linux 2.6.28-13-generic i686

Michael Vogt (mvo) wrote :
Changed in openoffice.org (Ubuntu):
milestone: none → ubuntu-9.10
Michael Vogt (mvo) wrote :

Probably all the same bug:

$ ls /var/crash/
openoffice.org-emailmerge.0.crash openoffice.org-presenter-console.0.crash
openoffice.org-evolution.0.crash openoffice.org-report-builder.0.crash
openoffice.org-filter-binfilter.0.crash openoffice.org-wiki-publisher.0.crash
openoffice.org-pdfimport.0.crash _usr_share_apport_package_hook.0.crash
openoffice.org-presentation-minimizer.0.crash

There is a openoffice.org running:
 2280 ? S 0:00 /bin/sh /usr/share/docvert/core/config/unix-specific/openoffice.org-server.sh
 2282 ? S 0:00 \_ /bin/sh /usr/bin/soffice -headless -norestore -nologo -norestore -nofirststartwizard -accept=socket,port=2002;urp;
 2297 ? Sl 0:00 \_ /usr/lib/openoffice/program/soffice.bin -headless -norestore -nologo -norestore -nofirststartwizard -accept=socket,port=2002;urp;

But its not started by me and a casual user would have no idea how to stop it.

Phil Norbeck (ptn107) wrote :

I see from the logs:

Preparing to replace openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 (using .../openoffice.org-emailmerge_1%3a3.1.1-4ubuntu1_all.deb) ...

dpkg: error processing /var/cache/apt/archives/openoffice.org-emailmerge_1%3a3.1.1-4ubuntu1_all.deb (--unpack):

 subprocess new pre-installation script returned error exit status 1

...which would lead me to the openoffice.org-emailmerge_1:3.1.1-4ubuntu1_all.deb preinst script (attached). I can't figure it out though.

Michael Vogt (mvo) wrote :

I turns out the problem is that when OOo is running component registration will fail very badly. So it refuses to upgrade. Now this bug is triggered by "docvert-openoffice.org". It has a daemon start starts openoffice.org in the background in headless mode. This makes it rather tricky to upgrade OOo of course ;)

Changed in openoffice.org (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Michael Vogt (mvo) wrote :

It sounds like a reaosnable workaround is to stop /etc/init.d/docvert-converter

Chris Cheney (ccheney) wrote :

Should be stopping the docvert-converter program inside of the OOo install scripts? or just throw an error stating it might be the culprit?

Michael Vogt (mvo) wrote :

@Chris: stopping before the package gets upgraded sounds like a good idea to me, this way apt-get users will still enjoy a working upgrade if docvert-converter is installed

Changed in update-manager (Ubuntu):
status: New → Fix Committed
Michael Vogt (mvo) wrote :

I added a workaround to update-manager now (stopping docvert-converter when the ugprade starts).

Chris Cheney (ccheney) wrote :

Thanks for fixing it. :-)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.126.3

---------------
update-manager (1:0.126.3) karmic; urgency=low

  * UpdateManager/UpdateManager.py:
    - refresh "last updated" text periodically to ensure its
      not stale (LP: #450286)
  * DistUpgrade/DistUpgradeViewGtk.py:
    - deal with io errors when writing the log (LP: #447693)
  * debian/control:
    - add or-dependency to qemu-kvm
  * DistUpgrade/DistUpgrade.cfg:
    - add policykit-gnome and gnome-mount to the forced obsoleted
      packages (thanks to seb128)
  * merge translations from rosetta
  * DistUpgrade/DistUpgradeQuirks.py:
    - stop docvert-converter when the upgrade starts, otherwise
      OOo will not upgrade at all (LP: #450569)
  * pre-build.sh:
    - fix bug in the demoted.cfg generation
    - fixes in cleanup handling
  * UpdateManager/backend/__init__.py:
    - honor UPDATE_MANAGER_FORCE_BACKEND_APTDAEMON environment
  * DistUpgrade/DistUpgrade.cfg.hardy:
    - updated to include demoted.cfg.hardy

 -- Michael Vogt <email address hidden> Wed, 14 Oct 2009 22:28:26 +0200

Changed in update-manager (Ubuntu):
status: Fix Committed → Fix Released
Chris Cheney (ccheney) wrote :

This is fixed in the Debian version of OOo 1:3.1.1-5 but won't make it into Karmic, since it is already fixed in update-manager as well it should be ok.

Changed in openoffice.org (Ubuntu):
milestone: ubuntu-9.10 → later
status: Confirmed → Triaged
dns_server (dns-server) wrote :

I appear to have gotten this problem yesterday and today but i am using apt-get and aptitude to update my packages.
Having a package fixed in one update system is the wrong solution where there are several supported package managers.

Chris Cheney (ccheney) on 2009-10-21
Changed in openoffice.org (Ubuntu):
assignee: nobody → Chris Cheney (ccheney)
importance: High → Critical
milestone: later → ubuntu-9.10
Michael Vogt (mvo) wrote :

I just checked and it looks like the u-m fix does not work in all situations, I just ran into the same problem again, looks like something during he upgrade starts docvert again

Chris Cheney (ccheney) wrote :

I uploaded openoffice.org 1:3.1.1-5ubuntu1 last night that when approved should resolve this bug by having OOo itself stop docvert during its install.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openoffice.org - 1:3.1.1-5ubuntu1

---------------
openoffice.org (1:3.1.1-5ubuntu1) karmic; urgency=low

  * Resynchronise with Debian (r1714). Remaining changes:
    - Add Launchpad integration support.
    - Add Launchpad translations support.
    - Add package openoffice.org-style-human.
    - Add some Ubuntu-specific bitmaps. Adjust broffice diversions for these.
    - Add support for compressing debs with lzma.
    - Add support for shared /usr/share/doc directories.
    - Add support to build l10n as a separate source.
    - Add support to build on lpia.
    - Add support to turn off building on sparc.
    - Add Xb-Npp-xxx tags according to "firefox distro add-on suport" spec.
    - Use imagemagick instead of graphicsmagick.
    - openoffice.org-help switch to internal copy of lucene.
    - Disable gnome-vfs support since it is buggy.
    - Switch desktop files from %U to %F for gvfs fuse.
    - Check for known OOo-using services and stop/start them. (LP: #450569)
    - Finnish (fi) erronously listed in REMOVE_HELP. (LP: #455267)
  * Resynchronise with ooo-build-3-1-1 (df43127e853b920b288a6156111e4a2150bbae42).
    - Fixes wrong filter texts in KDE4 fpicker. (LP: #452518)

 -- Chris Cheney <email address hidden> Wed, 21 Oct 2009 22:00:00 -0500

Changed in openoffice.org (Ubuntu):
status: Triaged → Fix Released

Me too had got the problem during updating openoffice so I try to "play" with /etc/init.d/docvert-converter and when I try to start it I saw that it couldn't because find "/var/run/docvert" directory.

I simply create this dir and I retry to upgrade my system and all works correctly :)

So my simply work-around is:

# mkdir /var/run/docvert

Bye!

Changed in openoffice.org (Ubuntu):
status: Fix Released → New
status: New → Fix Released
KBS16355 (kbs16355) wrote :

none of this works for me, I cannot upgrade Open Office through the update manager. Can someone give me simple clear instructions as to how to go about it.

Chris Cheney (ccheney) wrote :

KBS16355

As root run:

ps | grep soffice | xargs kill -9

Which should kill all running instances of OOo, then the upgrade will likely work.

KBS16355 (kbs16355) wrote :

I cannot get that to work properly. How do I become "root"?

Ubuntu is sudo enabled by default, that is better than letting a user be root:

ps | grep soffice | sudo xargs kill -9

I wonder how emailmerge became a dependency? I certainly didn't
install it, but reported this bug a couple weeks ago since it was
added to my system.

Keep up the good work; stellar release and bug effort.

On Fri, Oct 30, 2009 at 12:24 PM, KBS16355 <email address hidden> wrote:
> I cannot get that to work properly. How do I become "root"?
>
> --
> package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
> https://bugs.launchpad.net/bugs/450569
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “openoffice.org” package in Ubuntu: Fix Released
> Status in “update-manager” package in Ubuntu: Fix Released
>
> Bug description:
> Binary package hint: openoffice.org
>
> during a jaunty->karmic upgrade
>
> ProblemType: Package
> Architecture: i386
> Date: Tue Oct 13 18:34:21 2009
> DistroRelease: Ubuntu 9.10
> ErrorMessage:
>  ErrorMessage: package openoffice.org-emailmerge is already installed and configured
> Package: openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1
> PackageArchitecture: all
> ProcVersionSignature: Ubuntu 2.6.28-13.44-generic
> SourcePackage: openoffice.org
> Title: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
> Uname: Linux 2.6.28-13-generic i686
>

OK I think I got it sorted. I simply got synaptic to look for Open Office, and marked the installed - and bits that had failed to install - for reinstallation. This seems to have sorted it out

Thanks. I may have contributed to the problem by inadvertently installing an AMD-based version on an Intel Notebook. I do own both types of machines and never realized that there was a difference in the install programs.. I plan to reformat my hard drive on the Intel based machine and then re-install the Intel bases Ubuntu 9.10 later today. I'll have to research how to reformat the drive however as I also inadvertently installed the 32-bit version of Windows 7 and I should switch that to the more secure 64-bit version. Best way to get rid of any hidden clutter is simply to reformat the drive and start over. Now if I figure out how to do that. I'll have to research to see if the fdisk command is still available.

  - Stan DeWitt

----- Original Message ----
From: KBS16355 <email address hidden>
To: <email address hidden>
Sent: Fri, October 30, 2009 9:39:38 AM
Subject: [Bug 450569] Re: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:

OK I think I got it sorted. I simply got synaptic to look for Open
Office, and marked the installed - and bits that had failed to install -
for reinstallation. This seems to have sorted it out

--
package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
https://bugs.launchpad.net/bugs/450569
You received this bug notification because you are a direct subscriber
of the bug.

Status in “openoffice.org” package in Ubuntu: Fix Released
Status in “update-manager” package in Ubuntu: Fix Released

Bug description:
Binary package hint: openoffice.org

during a jaunty->karmic upgrade

ProblemType: Package
Architecture: i386
Date: Tue Oct 13 18:34:21 2009
DistroRelease: Ubuntu 9.10
ErrorMessage:
ErrorMessage: package openoffice.org-emailmerge is already installed and configured
Package: openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1
PackageArchitecture: all
ProcVersionSignature: Ubuntu 2.6.28-13.44-generic
SourcePackage: openoffice.org
Title: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
Uname: Linux 2.6.28-13-generic i686

I tried everything here and still have this problem, unless if I missed something or id it wrong. I don't really have anything to contribute to this.

Jim H (jimbizz) on 2009-10-31
Changed in update-manager (Ubuntu):
status: Fix Released → Confirmed
Chris Cheney (ccheney) wrote :

Stan DeWitt,

There isn't an AMD version of Ubuntu, if you are referring to 'amd64' that is the name of the 64bit architecture that all modern x86 CPUs use. Intel came up with ia64 for 64bit but it flopped and no one really uses it anymore not even Intel, they switched over to using amd64 for most of their processors about 4 years ago. Intel has used several alternate names for it since they don't want to give credit to AMD for inventing it though, eg EM64T, etc.

Chris Cheney (ccheney) wrote :

JM-STIX,

Is there any running copy of OpenOffice on your system when the upgrade fails? If there is that is the reason it fails, you need to stop all running copies. The program can't kill OpenOffice automatically or else it would cause data loss for users so has to fail to upgrade instead.

Chris

Hi Chris,

It seems indeed that a openoffice icon appears on my taskbar. After I closed it the upgrade was successfully done.
For me this issue can be considered as no issue anymore. But there are other issue which I met.
Yesterday Iǘe upgraded 4 desktops. One desktop was successfully upgraded.
I discovered 3 different issues from which I made a bug report.
Hopefully they will be fixed asap. I cannot even get any updates on one desktop.

I think the community need to make sure that more people are involved during the test cycle.

Kind regards,

Paul Willems

----- Origineel bericht -----
Van: Chris Cheney <email address hidden>
Datum: zaterdag, oktober 31, 2009 3:40
Onderwerp: [Bug 450569] Re: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
Aan: <email address hidden>

> JM-STIX,
>
> Is there any running copy of OpenOffice on your system when the upgrade
> fails? If there is that is the reason it fails, you need to stop all
> running copies. The program can't kill OpenOffice automatically or else
> it would cause data loss for users so has to fail to upgrade instead.
>
> Chris
>
> --
> package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to
> install/upgrade:
> https://bugs.launchpad.net/bugs/450569
> You received this bug notification because you are a direct subscriber
> of the bug.

@ Chris:

I have tried to kill it using the terminal, but I think that is where I've done wrong. I am still new to Ubuntu, and just signed up for here.

It is like if the installation process forces to install these packages repeatedly

Ryan Martin (ryan-a-martin) wrote :

Merely killing all the soffice problems isn't enough. The docvert service will keep respawning soffice processes as long as it's running. I managed to cram through the upgrade by killing them as they respawned, but some form of auto-shutdown of docvert during OOo updates, as in #8, would be preferable

Michael Vogt (mvo) wrote :

I can reproduce this too, here is the output from my test system with "docvert-openoffice.org" installed:

dpkg: error processing /var/cache/apt/archives/openoffice.org-emailmerge_1%3a3.1.1-5ubuntu1_all.deb (--unpack):
 subprocess new pre-installation script returned error exit status 30

Michael Vogt (mvo) on 2009-11-03
Changed in openoffice.org (Ubuntu):
status: Fix Released → Confirmed
Joseph McPurdy (joemcp-stg) wrote :

I am sorry to say that I still don't know how to overcome this.

Chris Cheney (ccheney) wrote :

I'll take a look at this and try to get it fixed once I get back from OOoCon 2009.

Changed in openoffice.org (Ubuntu):
milestone: ubuntu-9.10 → karmic-updates
Changed in docvert (Ubuntu):
status: New → Fix Released
axelsvag (darinsson) wrote :

The problem is still there I get this. I have tried every advice I have found.

xxx@xxx-desktop:~$ sudo rm /var/lib/dpkg/lock
[sudo] password for xxx:
xxx@xxx-desktop:~$ sudo rm /var/cache/apt/archives/lock
xxx@xxx-desktop:~$ sudo apt-get install openoffice.org-emailmerge
Indlæser pakkelisterne... Færdig
Opbygger afhængighedstræ
Læser tilstandsoplysninger... Færdig
openoffice.org-emailmerge er i forvejen den nyeste version.
openoffice.org-emailmerge set to manually installed.
Følgende pakker blev installeret automatisk, og behøves ikke længere:
  openoffice.org-l10n-da libgoffice-0-6-common openoffice.org-l10n-sv
  libopal3.6.1 libvolume-id1 libgcj9-0-awt nvidia-kernel-common libgcj-bc
  libmono-getoptions1.0-cil libmono-data1.0-cil libosp5 libdiscid0
  libmagickcore1 libgoffice-0-6 nvidia-180-libvdpau
  libboost-program-options1.35.0 libmagickwand1 libdns45 libkexiv2-3
  libsmbios2 libxfcegui4-4 libexiv2-4 imagemagick-doc screen-profiles
  libcolamd-3.2.0 libisccc40 avahi-utils gnome-user-guide-da
  gnome-user-guide-en libindicate1 libx264-65 gnome-user-guide-sv libgammu5
  liblwres40 epiphany-extensions gij libqimageblitz4 python-usb
  firefox-3.0-branding w3c-dtd-xhtml libmono-getoptions2.0-cil
  libmono-data2.0-cil libpoppler4 seahorse-plugins qt4-qtconfig libntfs-3g49
  libbind9-40 libffado0 nvidia-180-modaliases libphonon4
  language-support-translations-da libdvdread3 update-motd
  openoffice.org-writer2latex openoffice.org-help-da libpt2.6.1
  language-support-translations-sv libisccfg40 gimp-help-sv
  openoffice.org-help-sv nvidia-180-kernel-source thunderbird-locale-sv-se
  nvidia-71-modaliases libmusicbrainz3-6 libgmyth0 python-pyopenssl libisc45
  evolution-documentation-sv thunderbird-locale-da libparted1.8-10 libkdcraw3
  libavutil-unstripped-49
Brug 'apt-get autoremove' til at fjerne dem.
0 opgraderes, 0 nyinstalleres, 0 afinstalleres og 0 opgraderes ikke.
1 ikke fuldstændigt installerede eller afinstallerede.
After this operation, 0B of additional disk space will be used.
Sætter openoffice.org-emailmerge (1:3.1.1-5ubuntu1) op...
dpkg: fejl under behandling af openoffice.org-emailmerge (--configure):
 underproces installed post-installation script returnerede afslutningsstatus 1
Der opstod fejl under behandlingen:
 openoffice.org-emailmerge
E: Sub-process /usr/bin/dpkg returned an error code (1)

Download full text (3.6 KiB)

Had a lot of other niggly probs with installion had to download iso image of
update again chked original disc file corrupted caused probs with dkpg cache
installed with newdisc no probs.

2009/11/17 axelsvag <email address hidden>

> The problem is still there I get this. I have tried every advice I have
> found.
>
> xxx@xxx-desktop:~$ sudo rm /var/lib/dpkg/lock
> [sudo] password for xxx:
> xxx@xxx-desktop:~$ sudo rm /var/cache/apt/archives/lock
> xxx@xxx-desktop:~$ sudo apt-get install openoffice.org-emailmerge
> Indlæser pakkelisterne... Færdig
> Opbygger afhængighedstræ
> Læser tilstandsoplysninger... Færdig
> openoffice.org-emailmerge er i forvejen den nyeste version.
> openoffice.org-emailmerge set to manually installed.
> Følgende pakker blev installeret automatisk, og behøves ikke længere:
> openoffice.org-l10n-da libgoffice-0-6-common openoffice.org-l10n-sv
> libopal3.6.1 libvolume-id1 libgcj9-0-awt nvidia-kernel-common libgcj-bc
> libmono-getoptions1.0-cil libmono-data1.0-cil libosp5 libdiscid0
> libmagickcore1 libgoffice-0-6 nvidia-180-libvdpau
> libboost-program-options1.35.0 libmagickwand1 libdns45 libkexiv2-3
> libsmbios2 libxfcegui4-4 libexiv2-4 imagemagick-doc screen-profiles
> libcolamd-3.2.0 libisccc40 avahi-utils gnome-user-guide-da
> gnome-user-guide-en libindicate1 libx264-65 gnome-user-guide-sv libgammu5
> liblwres40 epiphany-extensions gij libqimageblitz4 python-usb
> firefox-3.0-branding w3c-dtd-xhtml libmono-getoptions2.0-cil
> libmono-data2.0-cil libpoppler4 seahorse-plugins qt4-qtconfig libntfs-3g49
> libbind9-40 libffado0 nvidia-180-modaliases libphonon4
> language-support-translations-da libdvdread3 update-motd
> openoffice.org-writer2latex openoffice.org-help-da libpt2.6.1
> language-support-translations-sv libisccfg40 gimp-help-sv
> openoffice.org-help-sv nvidia-180-kernel-source thunderbird-locale-sv-se
> nvidia-71-modaliases libmusicbrainz3-6 libgmyth0 python-pyopenssl libisc45
> evolution-documentation-sv thunderbird-locale-da libparted1.8-10
> libkdcraw3
> libavutil-unstripped-49
> Brug 'apt-get autoremove' til at fjerne dem.
> 0 opgraderes, 0 nyinstalleres, 0 afinstalleres og 0 opgraderes ikke.
> 1 ikke fuldstændigt installerede eller afinstallerede.
> After this operation, 0B of additional disk space will be used.
> Sætter openoffice.org-emailmerge (1:3.1.1-5ubuntu1) op...
> dpkg: fejl under behandling af openoffice.org-emailmerge (--configure):
> underproces installed post-installation script returnerede
> afslutningsstatus 1
> Der opstod fejl under behandlingen:
> openoffice.org-emailmerge
> E: Sub-process /usr/bin/dpkg returned an error code (1)
>
> --
> package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to
> install/upgrade:
> https://bugs.launchpad.net/bugs/450569
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “docvert” package in Ubuntu: Fix Released
> Status in “openoffice.org” package in Ubuntu: Confirmed
> Status in “update-manager” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: openoffice.org
>
> during a jaunty->karmic upgrade
>
> ProblemType: Package
> Architecture: i386
> Date:...

Read more...

dahlan (chestazan) on 2010-01-19
Changed in openoffice.org (Ubuntu):
status: Confirmed → Fix Released
status: Fix Released → Confirmed

Already fixed in Lucid, will fix in Karmic soon.

Changed in update-manager (Ubuntu Karmic):
status: New → Invalid
Changed in docvert (Ubuntu Karmic):
status: New → Invalid
Changed in openoffice.org (Ubuntu Karmic):
status: New → Confirmed
assignee: nobody → Chris Cheney (ccheney)
importance: Undecided → Critical
milestone: none → karmic-updates
Changed in openoffice.org (Ubuntu Lucid):
milestone: karmic-updates → none
status: Confirmed → Fix Released
Chris Cheney (ccheney) on 2010-02-18
Changed in openoffice.org (Ubuntu Karmic):
status: Confirmed → In Progress
Changed in docvert (Ubuntu Karmic):
status: Invalid → Fix Released
Changed in update-manager (Ubuntu Karmic):
status: Invalid → Confirmed
ams (ams-syria) on 2010-02-18
Changed in docvert (Ubuntu Karmic):
status: Fix Released → Fix Committed
Chris Cheney (ccheney) on 2010-02-22
Changed in openoffice.org (Ubuntu Karmic):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openoffice.org - 1:3.1.1-5ubuntu1.1

---------------
openoffice.org (1:3.1.1-5ubuntu1.1) karmic-security; urgency=low

  * Correct check for lockfile and have it log if in noninteractive mode
    that OOo should not be running during upgrade. (LP: #450569)

  * ooo-build/patches/dev300/cws-impress178-xpm-and-gif-fix.diff: fix
    "OpenOffice.org XPM Import Integer Overflow" and
    "OpenOffice.org GIF Import Heap Overflow"
    - CVE-2009-2949
    - CVE-2009-2950
  * ooo-build/patches/dev300/cws-hb32showstoppers3.diff: fix
    "OOO sprmTDefTable issue" and "OOO sprmTSetBrc issue"
    - CVE-2009-3301
    - CVE-2009-3302
  * ooo-build/patches/dev300/libxmlsec-CVE-2009-0217.diff: fix internal
    libxmlsec copy (just the nss part)
    - CVE-2009-0217
  * ooo-build/patches/dev300/vba-macro-properties.diff: fix vba macros not
    honoring security settings
    - CVE-2010-0136
 -- Chris Cheney <email address hidden> Wed, 17 Feb 2010 11:00:00 -0600

Changed in openoffice.org (Ubuntu Karmic):
status: Fix Committed → Fix Released
Chris Cheney (ccheney) wrote :

As of 1:3.1.1-5ubuntu1.1 openoffice.org should always be giving an error message telling you to kill any running instances of openoffice.org before upgrading.

"
OpenOffice.org running!

OpenOffice.org is running right now with pid $PID. This can cause problems
with (de-)registration of components and extensions
Thus this package will fail to install
You should close all running instances of OpenOffice.org (including
any currently running Quickstarter) before proceeding with the package
upgrade.
"

The $PID will be substituted by the process id of the running OOo. If you see this message, as at least some users have said they have, you need to close any running instances of OOo. If you don't see any running instances you can try killing the process using the terminal and kill (PID Number from above). That should kill the running instance of OOo. If the above for some reason did not report a PID number there may be a stale lockfile in the OOo configuration directory that needs to be removed. You can determine the path by running:

echo `grep UserInstallation /usr/lib/openoffice/program/bootstraprc | cut -d= -f2 | sed -e 's,SYSUSERCONFIG,HOME,'`/.lock

for me this is:

$HOME/.openoffice.org/3/.lock

which means you need to remove eg /home/(username)/.openoffice.org/3/.lock

If you are not seeing the above error message but it still fails to install please follow up to this bug report letting me know.

Thanks,

Chris

Hi Chris,

I had done all that and it still gave me the errors. I killed all the
processes, not that there were any running, and even rebooted to make
sure, but still got those messages. It was quite frustrating to try
closing something not open to begin. I did know about, but did not find
and the .lock which told me that wasn't the problem either, but as I
mentioned, I resolved the issue by removing OOo and then doing an
upgrade, package resolution, then reinstall of OOo which solved the problem.

Thanks so much for your help and consideration!

K

Chris Cheney wrote:
> As of 1:3.1.1-5ubuntu1.1 openoffice.org should always be giving an error
> message telling you to kill any running instances of openoffice.org
> before upgrading.
>
> "
> OpenOffice.org running!
>
> OpenOffice.org is running right now with pid $PID. This can cause problems
> with (de-)registration of components and extensions
> Thus this package will fail to install
> You should close all running instances of OpenOffice.org (including
> any currently running Quickstarter) before proceeding with the package
> upgrade.
> "
>
> The $PID will be substituted by the process id of the running OOo. If
> you see this message, as at least some users have said they have, you
> need to close any running instances of OOo. If you don't see any running
> instances you can try killing the process using the terminal and kill
> (PID Number from above). That should kill the running instance of OOo.
> If the above for some reason did not report a PID number there may be a
> stale lockfile in the OOo configuration directory that needs to be
> removed. You can determine the path by running:
>
> echo `grep UserInstallation /usr/lib/openoffice/program/bootstraprc |
> cut -d= -f2 | sed -e 's,SYSUSERCONFIG,HOME,'`/.lock
>
> for me this is:
>
> $HOME/.openoffice.org/3/.lock
>
> which means you need to remove eg
> /home/(username)/.openoffice.org/3/.lock
>
> If you are not seeing the above error message but it still fails to
> install please follow up to this bug report letting me know.
>
> Thanks,
>
> Chris
>

--
-- Ken Nelan
Sacred Wandering <http://www.sacredwandering.com>
Various Thoughts... <http://writings.sacredwandering.com/>
Services at Sacred Wandering <http://reiki.sacredwandering.com/>

Sacred Wandering <http://feeds.feedburner.com/~r/sacredwandering/~6/1>

↑ Grab this Headline Animator
<http://feedburner.google.com/fb/a/headlineanimator/install?id=g417m73u51q0mhimr2b47fhi3o&w=1>

theun de groot (qaeyes) on 2010-02-25
Changed in docvert (Ubuntu Lucid):
status: Fix Released → In Progress

Chris: this bug above is minor compared to the Pre-Depends: loop between the 'oo.org-core' and 'oo.org-binfilters' scripts.

They are separate bugs, and the Pre-Depends: loop is not fixed.

Download full text (3.8 KiB)

Hallo Hr de Groot,
Dank voor uw reactie. het is er 1 van enkele dozijnen, maar ik heb geen idee wat ik er mee moet.
Even in het kort: ik heb een jaar geleden een laptop gekocht met Vista OS. Op de desktop had ik XP. Die beviel mij al steeds minder, omdat het enorm verzwaard werd met veiligheidsmaatregelen. Maar Vista was nog erger. Dus ben ik overgestapt op Ubuntu, toen 8.4. Dat beviel uitstekend, snel, veilig, OO werkt prima en de back-up is uitstekend. Toen ik in NL (wij wonen in Frankrijk) Linux-starter van HUB-uitg tegen kwam, met de cd van 9.10, was de koop snel gesloten en ik installeerde die op de laptop. Ik was nog meer tevreden, dus moest de desktop er ook aan geloven. Maar dan wel op de 2e harde schijf. De aanvang van de installatie ging goed, partities werden ingedeeld en het zou 1 uur 30 gaan duren. Dus ben ik zo stom geweest er bij weg te lopen. Toen ik na een uur terug kwam bleek de installatie op de C-schijf te zijn uitgevoerd, zonder partitie, dus XP en tal van programma´s, die ik wilde blijven gebruiken en waarvoor ik betaald had: weg. Ik had natuurlijk wel veel back-up op de andere schijf, maar de software om die te bedienen niet meer. Een aantal heb ik of kan ik wel terug krijgen, onder Wine draait e.e.a. Het installeren van Virtualbox ging ook goed, maar daar wil niets in draaien. Alles wat ik daarin installeer geeft Error. Ik volg Linux-starter tot op de punt, maar er is iets dus nog niet goed. Wat dat betreft ben ik teleurgesteld in Ubuntu. Verder wil de printer niet printen. Ik heb een Dell Dimension 5150 met 924 AIO printer. Na veel zoeken heb ik de software gevonden en geïnstalleerd, de pc herkent de printer, als ik een printopdracht geef lijkt het of die netjes wordt verwerkt, maar er wordt niets geprint. De printer doet verder alles goed.
Ik heb al diverse malen om ondersteuning gevraagd, met deze uitleg, maar als enige reactie krijg ik verwijzingen naar software. Wellicht moet ik een andere printer uitproberen?
Als mailprogramma gebruik ik overigens gewoon firefox, niet die van Ubuntu.
Misschien kunt U enige verlichting aanbrengen.
hartelijke groet,
Douwe Schaap.

> Message du 25/02/10 07:35
> De : "theun de groot"
> A : <email address hidden>
> Copie à :
> Objet : [Bug 450569] Re: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
>
>
> ** Changed in: docvert (Ubuntu Lucid)
> Status: Fix Released => In Progress
>
> --
> package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
> https://bugs.launchpad.net/bugs/450569
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “docvert” package in Ubuntu: In Progress
> Status in “openoffice.org” package in Ubuntu: Fix Released
> Status in “update-manager” package in Ubuntu: Confirmed
> Status in “docvert” source package in Lucid: In Progress
> Status in “openoffice.org” source package in Lucid: Fix Released
> Status in “update-manager” source package in Lucid: Confirmed
> Status in “docvert” source package in Karmic: Fix Committed
> Status in “openoffice.org” source package in Karmic: Fix Released
> Status in “update-manager” source package in Karmic: Co...

Read more...

The error says that Open Office is up and running and I must close it. But It is not running so there's nothing to close. Please advise.

The error with this update occurs (for the first time from the beginning) when openoffice is NOT running. At the moment it is still there the same way without openoffic running.

Tnx !!!

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Dr. Ingo A. Wolf
Sent: Thursday, February 25, 2010 7:06 PM
To: <email address hidden>
Subject: [Bug 450569] Re: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:

The error with this update occurs (for the first time from the
beginning) when openoffice is NOT running. At the moment it is still
there the same way without openoffic running.

--
package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
https://bugs.launchpad.net/bugs/450569
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Status in “docvert” package in Ubuntu: In Progress
Status in “openoffice.org” package in Ubuntu: Fix Released
Status in “update-manager” package in Ubuntu: Confirmed
Status in “docvert” source package in Lucid: In Progress
Status in “openoffice.org” source package in Lucid: Fix Released
Status in “update-manager” source package in Lucid: Confirmed
Status in “docvert” source package in Karmic: Fix Committed
Status in “openoffice.org” source package in Karmic: Fix Released
Status in “update-manager” source package in Karmic: Confirmed

Bug description:
Binary package hint: openoffice.org

during a jaunty->karmic upgrade

ProblemType: Package
Architecture: i386
Date: Tue Oct 13 18:34:21 2009
DistroRelease: Ubuntu 9.10
ErrorMessage:
 ErrorMessage: package openoffice.org-emailmerge is already installed and configured
Package: openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1
PackageArchitecture: all
ProcVersionSignature: Ubuntu 2.6.28-13.44-generic
SourcePackage: openoffice.org
Title: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
Uname: Linux 2.6.28-13-generic i686

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/docvert/+bug/450569/+subscribe

__________ Information from ESET NOD32 Antivirus, version of virus signature database 4896 (20100225) __________

The message was checked by ESET NOD32 Antivirus.

http://www.eset.com

Although OO might not be running, you can try
  $ killall soffice.bin

It worked for me.

A thousand thank you's!!

I had to leave a terminal window open and run the killall command below
each time the error window appeared during the upgrade because it
appeared to spawn a new process each time a step in the upgrade occurred
but the upgrade eventually completed successfully. I had to run the
command about 10 times because it was affecting 5 packages - pdfimport,
emailmerge, report-builder, filter-binfilter and presenter-console and
they are now all installed and running. Thanks again.

Cheers,

Rob

On 26/02/10 11:16, Umang wrote:
> Although OO might not be running, you can try
> $ killall soffice.bin
>
> It worked for me.
>
>

$ killall soffice.bin
returned this for me each time I ran it and the update still failed.
soffice.bin(2274): Operation not permitted
soffice.bin: no process found

Any other ideas?

HX_unbanned (linards-liepins) wrote :

AS I WROTE BEFIRE:

Kill any process created by installer when performing this update / upgrade through synaptics or software center or update manager ...

Every time you got error about opened OOo process, there is process named as your update package in PROCESS tab in SYSTEM MONITOR! This is the reason why xkill may fail and update cannot continue properly.

;)

HX_unbanned (linards-liepins) wrote :

Screenshot for prev comment

I found that when there is a problem during the update, follow the
instruction mentioned in the console to do something manually and the
problem seems to be solved. Since I am a new user of ubuntu, I think
most of the bugs were created by my mistakes.

- Terence

On Fri, Feb 26, 2010 at 2:51 PM, FBClark <email address hidden> wrote:
> $ killall soffice.bin
> returned this for me each time I ran it and the update still failed.
> soffice.bin(2274): Operation not permitted
> soffice.bin: no process found
>
> Any other ideas?
>
> --
> package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
> https://bugs.launchpad.net/bugs/450569
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “docvert” package in Ubuntu: In Progress
> Status in “openoffice.org” package in Ubuntu: Fix Released
> Status in “update-manager” package in Ubuntu: Confirmed
> Status in “docvert” source package in Lucid: In Progress
> Status in “openoffice.org” source package in Lucid: Fix Released
> Status in “update-manager” source package in Lucid: Confirmed
> Status in “docvert” source package in Karmic: Fix Committed
> Status in “openoffice.org” source package in Karmic: Fix Released
> Status in “update-manager” source package in Karmic: Confirmed
>
> Bug description:
> Binary package hint: openoffice.org
>
> during a jaunty->karmic upgrade
>
> ProblemType: Package
> Architecture: i386
> Date: Tue Oct 13 18:34:21 2009
> DistroRelease: Ubuntu 9.10
> ErrorMessage:
>  ErrorMessage: package openoffice.org-emailmerge is already installed and configured
> Package: openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1
> PackageArchitecture: all
> ProcVersionSignature: Ubuntu 2.6.28-13.44-generic
> SourcePackage: openoffice.org
> Title: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
> Uname: Linux 2.6.28-13-generic i686
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/docvert/+bug/450569/+subscribe
>

You should be able to do:

  sudo apt-get remove openoffice.org-emailmerge

to get rid of the '-emailmerge' package; at which point:

  sudo apt-get upgrade

should work correctly.

Now I have this error in packages manager

W: GPG error: http://packages.medibuntu.org karmic Release: The
following signatures couldn't be verified because the public key is not
available: NO_PUBKEY 2EBC26B60C5A2783

On 02/26/2010 06:23 AM, Paul Sladen wrote:
> You should be able to do:
>
> sudo apt-get remove openoffice.org-emailmerge
>
> to get rid of the '-emailmerge' package; at which point:
>
> sudo apt-get upgrade
>
> should work correctly.
>
>

airtac: you are using an unoffical repository; you will need to follow their instructions on:

   https://help.ubuntu.com/community/Medibuntu

to install an updated copy of 'medibuntu-keyring'.

I used the killall soffice.bin command about eight times, and then finally the last time pdfimport, filter-binfilter and the third program that wouldn't install ran and terminated normally. Synaptic now reports no more broken packages, and things are back to "normal"

Thank you for that tip. the other commands that I tried in this post didn't work, but this one did.

Tom

Fitch (brafferton) wrote :

I can confirm Tom's report. It all seems to work as advertised now.

Deivis (deivishome) wrote :

Hello to everyone!!
This may help, in my case there was a missing folder, /var/run/docvert, i created manually and the i ran /etc/init.d/docvert-converter start and the stop.
After that i ran apt-get upgrade again and it worked!!

MADrod (rodrigomojeda-gmail) wrote :

It just happen when update-manager was updating open Office.

Yessir! That is the same solution I followed, except I used "System Monitor" to follow the processes, and kill any offender.... which happened at every turn. tedious, but I got it through. Thank you all for the help.

Saverio J Marasco
                              Blue Juniata Consulting
                               Mifflintown, PA 17059
                        "Working with computers since 1972"
       Jesus is the Rock of my salvation, I put my life completely in his hands

--- On Thu, 2/25/10, Rob Dawson <email address hidden> wrote:

From: Rob Dawson <email address hidden>
Subject: Re: [Bug 450569] Re: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
To: <email address hidden>
Date: Thursday, February 25, 2010, 8:44 PM

A thousand thank you's!!

I had to leave a terminal window open and run the killall command below
each time the error window appeared during the upgrade because it
appeared to spawn a new process each time a step in the upgrade occurred
but the upgrade eventually completed successfully. I had to run the
command about 10 times because it was affecting 5 packages - pdfimport,
emailmerge, report-builder, filter-binfilter and presenter-console and
they are now all installed and running.  Thanks again.

Cheers,

Rob

On 26/02/10 11:16, Umang wrote:
> Although OO might not be running, you can try
>    $ killall soffice.bin
>
> It worked for me.
>
>

--
package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
https://bugs.launchpad.net/bugs/450569
You received this bug notification because you are a direct subscriber
of the bug.

Status in “docvert” package in Ubuntu: In Progress
Status in “openoffice.org” package in Ubuntu: Fix Released
Status in “update-manager” package in Ubuntu: Confirmed
Status in “docvert” source package in Lucid: In Progress
Status in “openoffice.org” source package in Lucid: Fix Released
Status in “update-manager” source package in Lucid: Confirmed
Status in “docvert” source package in Karmic: Fix Committed
Status in “openoffice.org” source package in Karmic: Fix Released
Status in “update-manager” source package in Karmic: Confirmed

Bug description:
Binary package hint: openoffice.org

during a jaunty->karmic upgrade

ProblemType: Package
Architecture: i386
Date: Tue Oct 13 18:34:21 2009
DistroRelease: Ubuntu 9.10
ErrorMessage:
 ErrorMessage: package openoffice.org-emailmerge is already installed and configured
Package: openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1
PackageArchitecture: all
ProcVersionSignature: Ubuntu 2.6.28-13.44-generic
SourcePackage: openoffice.org
Title: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
Uname: Linux 2.6.28-13-generic i686

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/docvert/+bug/450569/+subscribe

Install and use "System Monitor". You will find it in System -->Administration of the Menu Bar. This program will show a real time view of processes running. It helps here if you have 2 monitors working. Every time you hit a roadblock in the installation you will notice 2 processes related to OpenOffice have re-spawned. Kill them (I believe you right-click and choose kill) and then tell installation to continue. Unfortunately this tedium lasts for at least 5 cycles or more. It seems that every patch or program restarts OpenOffice , tries to install and then says Oops - Open Office is running, Hold It ! Wait-a-Minit!

sheesh

It does the job.

Saverio J Marasco
                              Blue Juniata Consulting
                               Mifflintown, PA 17059
                        "Working with computers since 1972"
       Jesus is the Rock of my salvation, I put my life completely in his hands

--- On Fri, 2/26/10, FBClark <email address hidden> wrote:

From: FBClark <email address hidden>
Subject: [Bug 450569] Re: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
To: <email address hidden>
Date: Friday, February 26, 2010, 1:51 AM

$ killall soffice.bin
returned this for me each time I ran it and the update still failed.
soffice.bin(2274): Operation not permitted
soffice.bin: no process found

Any other ideas?

--
package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
https://bugs.launchpad.net/bugs/450569
You received this bug notification because you are a direct subscriber
of the bug.

Status in “docvert” package in Ubuntu: In Progress
Status in “openoffice.org” package in Ubuntu: Fix Released
Status in “update-manager” package in Ubuntu: Confirmed
Status in “docvert” source package in Lucid: In Progress
Status in “openoffice.org” source package in Lucid: Fix Released
Status in “update-manager” source package in Lucid: Confirmed
Status in “docvert” source package in Karmic: Fix Committed
Status in “openoffice.org” source package in Karmic: Fix Released
Status in “update-manager” source package in Karmic: Confirmed

Bug description:
Binary package hint: openoffice.org

during a jaunty->karmic upgrade

ProblemType: Package
Architecture: i386
Date: Tue Oct 13 18:34:21 2009
DistroRelease: Ubuntu 9.10
ErrorMessage:
 ErrorMessage: package openoffice.org-emailmerge is already installed and configured
Package: openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1
PackageArchitecture: all
ProcVersionSignature: Ubuntu 2.6.28-13.44-generic
SourcePackage: openoffice.org
Title: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
Uname: Linux 2.6.28-13-generic i686

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/docvert/+bug/450569/+subscribe

Please forgive me - I did not wish to invoke your ire. I was frustrated and kinda got caught in a loop of unsuccessfully trying to install and sending repetitive bug reports.

Saverio J Marasco
                              Blue Juniata Consulting
                               Mifflintown, PA 17059
                        "Working with computers since 1972"
       Jesus is the Rock of my salvation, I put my life completely in his hands

--- On Fri, 2/26/10, HX_unbanned <email address hidden> wrote:

From: HX_unbanned <email address hidden>
Subject: [Bug 450569] Re: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
To: <email address hidden>
Date: Friday, February 26, 2010, 2:07 AM

AS I WROTE BEFIRE:

Kill any process created by installer when performing this update /
upgrade through synaptics or software center or update manager ...

Every time you got error about opened OOo process, there is process
named as your update package in PROCESS tab in SYSTEM MONITOR! This is
the reason why xkill may fail and update cannot continue properly.

;)

--
package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
https://bugs.launchpad.net/bugs/450569
You received this bug notification because you are a direct subscriber
of the bug.

Status in “docvert” package in Ubuntu: In Progress
Status in “openoffice.org” package in Ubuntu: Fix Released
Status in “update-manager” package in Ubuntu: Confirmed
Status in “docvert” source package in Lucid: In Progress
Status in “openoffice.org” source package in Lucid: Fix Released
Status in “update-manager” source package in Lucid: Confirmed
Status in “docvert” source package in Karmic: Fix Committed
Status in “openoffice.org” source package in Karmic: Fix Released
Status in “update-manager” source package in Karmic: Confirmed

Bug description:
Binary package hint: openoffice.org

during a jaunty->karmic upgrade

ProblemType: Package
Architecture: i386
Date: Tue Oct 13 18:34:21 2009
DistroRelease: Ubuntu 9.10
ErrorMessage:
 ErrorMessage: package openoffice.org-emailmerge is already installed and configured
Package: openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1
PackageArchitecture: all
ProcVersionSignature: Ubuntu 2.6.28-13.44-generic
SourcePackage: openoffice.org
Title: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
Uname: Linux 2.6.28-13-generic i686

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/docvert/+bug/450569/+subscribe

When this occurred on my machine, I closed OOo Base, which was open. And that fixed the problem for me.

Can you tell me wha that is? I am not sure were to find that program so I can close it

Vickie

-----Original Message-----
From: wrekced <email address hidden>
To: <email address hidden>
Sent: Mon, Mar 1, 2010 9:21 am
Subject: [Bug 450569] Re: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:

When this occurred on my machine, I closed OOo Base, which was open. And
hat fixed the problem for me.
--
ackage openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
ttps://bugs.launchpad.net/bugs/450569
ou received this bug notification because you are a direct subscriber
f a duplicate bug.
Status in “docvert” package in Ubuntu: In Progress
tatus in “openoffice.org” package in Ubuntu: Fix Released
tatus in “update-manager” package in Ubuntu: Confirmed
tatus in “docvert” source package in Lucid: In Progress
tatus in “openoffice.org” source package in Lucid: Fix Released
tatus in “update-manager” source package in Lucid: Confirmed
tatus in “docvert” source package in Karmic: Fix Committed
tatus in “openoffice.org” source package in Karmic: Fix Released
tatus in “update-manager” source package in Karmic: Confirmed
Bug description:
inary package hint: openoffice.org
during a jaunty->karmic upgrade
ProblemType: Package
rchitecture: i386
ate: Tue Oct 13 18:34:21 2009
istroRelease: Ubuntu 9.10
rrorMessage:
ErrorMessage: package openoffice.org-emailmerge is already installed and
onfigured
ackage: openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1
ackageArchitecture: all
rocVersionSignature: Ubuntu 2.6.28-13.44-generic
ourcePackage: openoffice.org
itle: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to
nstall/upgrade:
name: Linux 2.6.28-13-generic i686
To unsubscribe from this bug, go to:
ttps://bugs.launchpad.net/ubuntu/+source/docvert/+bug/450569/+subscribe

Base is OpenOffice's database app.

I had Quickstarter on; closing that fixed it. It should have done that itself though.

Where do I find Quickstater at?

-----Original Message-----
From: Scott M Sanders <email address hidden>
To: <email address hidden>
Sent: Mon, Mar 1, 2010 4:08 pm
Subject: [Bug 450569] Re: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:

Base is OpenOffice's database app.
I had Quickstarter on; closing that fixed it. It should have done that
tself though.
--
ackage openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
ttps://bugs.launchpad.net/bugs/450569
ou received this bug notification because you are a direct subscriber
f a duplicate bug.
Status in “docvert” package in Ubuntu: In Progress
tatus in “openoffice.org” package in Ubuntu: Fix Released
tatus in “update-manager” package in Ubuntu: Confirmed
tatus in “docvert” source package in Lucid: In Progress
tatus in “openoffice.org” source package in Lucid: Fix Released
tatus in “update-manager” source package in Lucid: Confirmed
tatus in “docvert” source package in Karmic: Fix Committed
tatus in “openoffice.org” source package in Karmic: Fix Released
tatus in “update-manager” source package in Karmic: Confirmed
Bug description:
inary package hint: openoffice.org
during a jaunty->karmic upgrade
ProblemType: Package
rchitecture: i386
ate: Tue Oct 13 18:34:21 2009
istroRelease: Ubuntu 9.10
rrorMessage:
ErrorMessage: package openoffice.org-emailmerge is already installed and
onfigured
ackage: openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1
ackageArchitecture: all
rocVersionSignature: Ubuntu 2.6.28-13.44-generic
ourcePackage: openoffice.org
itle: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to
nstall/upgrade:
name: Linux 2.6.28-13-generic i686
To unsubscribe from this bug, go to:
ttps://bugs.launchpad.net/ubuntu/+source/docvert/+bug/450569/+subscribe

Vicke (vkent0224) wrote :

I got it to work I have no idea what I did but the email merge is on updated. Thanks for your help.

Vickie

-----Original Message-----
From: Scott M Sanders <email address hidden>
To: <email address hidden>
Sent: Mon, Mar 1, 2010 4:08 pm
Subject: [Bug 450569] Re: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:

Base is OpenOffice's database app.
I had Quickstarter on; closing that fixed it. It should have done that
tself though.
--
ackage openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
ttps://bugs.launchpad.net/bugs/450569
ou received this bug notification because you are a direct subscriber
f a duplicate bug.
Status in “docvert” package in Ubuntu: In Progress
tatus in “openoffice.org” package in Ubuntu: Fix Released
tatus in “update-manager” package in Ubuntu: Confirmed
tatus in “docvert” source package in Lucid: In Progress
tatus in “openoffice.org” source package in Lucid: Fix Released
tatus in “update-manager” source package in Lucid: Confirmed
tatus in “docvert” source package in Karmic: Fix Committed
tatus in “openoffice.org” source package in Karmic: Fix Released
tatus in “update-manager” source package in Karmic: Confirmed
Bug description:
inary package hint: openoffice.org
during a jaunty->karmic upgrade
ProblemType: Package
rchitecture: i386
ate: Tue Oct 13 18:34:21 2009
istroRelease: Ubuntu 9.10
rrorMessage:
ErrorMessage: package openoffice.org-emailmerge is already installed and
onfigured
ackage: openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1
ackageArchitecture: all
rocVersionSignature: Ubuntu 2.6.28-13.44-generic
ourcePackage: openoffice.org
itle: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to
nstall/upgrade:
name: Linux 2.6.28-13-generic i686
To unsubscribe from this bug, go to:
ttps://bugs.launchpad.net/ubuntu/+source/docvert/+bug/450569/+subscribe

Armando (rodriguezmaus) on 2010-03-03
Changed in openoffice.org (Ubuntu Karmic):
status: Fix Released → Fix Committed

Thank-you
Since there were 10 or so updates to OO at the time my machine tried to update, I ended up keeping system monitor open and killing soffice.bin every time the next patch was presented. It seemed that open office respawned the dang thing each time. A pain, but it worked

Regards

Saverio J Marasco
                              Blue Juniata Consulting
                               Mifflintown, PA 17059
                        "Working with computers since 1972"
       Jesus is the Rock of my salvation, I put my life completely in his hands

--- On Mon, 3/1/10, wrekced <email address hidden> wrote:

From: wrekced <email address hidden>
Subject: [Bug 450569] Re: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
To: <email address hidden>
Date: Monday, March 1, 2010, 12:21 PM

When this occurred on my machine, I closed OOo Base, which was open. And
that fixed the problem for me.

--
package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
https://bugs.launchpad.net/bugs/450569
You received this bug notification because you are a direct subscriber
of the bug.

Status in “docvert” package in Ubuntu: In Progress
Status in “openoffice.org” package in Ubuntu: Fix Released
Status in “update-manager” package in Ubuntu: Confirmed
Status in “docvert” source package in Lucid: In Progress
Status in “openoffice.org” source package in Lucid: Fix Released
Status in “update-manager” source package in Lucid: Confirmed
Status in “docvert” source package in Karmic: Fix Committed
Status in “openoffice.org” source package in Karmic: Fix Released
Status in “update-manager” source package in Karmic: Confirmed

Bug description:
Binary package hint: openoffice.org

during a jaunty->karmic upgrade

ProblemType: Package
Architecture: i386
Date: Tue Oct 13 18:34:21 2009
DistroRelease: Ubuntu 9.10
ErrorMessage:
 ErrorMessage: package openoffice.org-emailmerge is already installed and configured
Package: openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1
PackageArchitecture: all
ProcVersionSignature: Ubuntu 2.6.28-13.44-generic
SourcePackage: openoffice.org
Title: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
Uname: Linux 2.6.28-13-generic i686

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/docvert/+bug/450569/+subscribe

Download full text (4.6 KiB)

Do you have "system monitor" installed ?
check your applications bar under system -->(second one down, not preferences) -->
the file should be there near the package manager

sorry I am sketchy about the names... I am in (choke - wheeze, gasp) Windows Vista -64 sp1, and I just could not get the actual names outta my poor befuddled brain ;-)

Once that is running, watch for 2 (Open Office) files that seem to run in the background at all times when Ubuntu is running.... one is named soffice.bin, and the other name slips my memory :( .

then restart the upgrade. Every time the upgrade screeches to a halt, look at system manager, right click each of the 2 files and choose kill. when that is done close the warning boxes and continue the upgrade.

Since these files reappear after each part of the upgrade is done, you will have to repeat this action ad-nauseum, until all OO upgrades are through

Hope this helped

---Sam

Saverio J Marasco
                              Blue Juniata Consulting
                               Mifflintown, PA 17059
                        "Working with computers since 1972"
       Jesus is the Rock of my salvation, I put my life completely in his hands

--- On Mon, 3/1/10, Vicke <email address hidden> wrote:

From: Vicke <email address hidden>
Subject: Re: [Bug 450569] Re: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
To: <email address hidden>
Date: Monday, March 1, 2010, 5:08 PM

Can  you tell me wha that is?  I am not sure were to find that program
so I can close it

Vickie

-----Original Message-----
From: wrekced <email address hidden>
To: <email address hidden>
Sent: Mon, Mar 1, 2010 9:21 am
Subject: [Bug 450569] Re: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:

When this occurred on my machine, I closed OOo Base, which was open. And
hat fixed the problem for me.
--
ackage openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
ttps://bugs.launchpad.net/bugs/450569
ou received this bug notification because you are a direct subscriber
f a duplicate bug.
Status in “docvert” package in Ubuntu: In Progress
tatus in “openoffice.org” package in Ubuntu: Fix Released
tatus in “update-manager” package in Ubuntu: Confirmed
tatus in “docvert” source package in Lucid: In Progress
tatus in “openoffice.org” source package in Lucid: Fix Released
tatus in “update-manager” source package in Lucid: Confirmed
tatus in “docvert” source package in Karmic: Fix Committed
tatus in “openoffice.org” source package in Karmic: Fix Released
tatus in “update-manager” source package in Karmic: Confirmed
Bug description:
inary package hint: openoffice.org
during a jaunty->karmic upgrade
ProblemType: Package
rchitecture: i386
ate: Tue Oct 13 18:34:21 2009
istroRelease: Ubuntu 9.10
rrorMessage:
ErrorMessage: package openoffice.org-emailmerge is already installed and
onfigured
ackage: openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1
ackageArchitecture: all
rocVersionSignature: Ubuntu 2.6.28-13.44-generic
ourcePackage: openoffice.org
itle: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to
nstall/upgrade:
name: Linux 2.6.28-13-generic i686
To unsubscribe from this...

Read more...

Download full text (4.0 KiB)

My quick-start Icon appeared on the upper right of my screen, on the bar, around the clock and shutdown icons.

Oddly enough just quitting that did not solve my problem. In a separate e-mail I described to you what I did eventually find out.

Any more Q please feel free to 'ping' me

---Sam

Saverio J Marasco
                              Blue Juniata Consulting
                               Mifflintown, PA 17059
                        "Working with computers since 1972"
       Jesus is the Rock of my salvation, I put my life completely in his hands

--- On Mon, 3/1/10, Vicke <email address hidden> wrote:

From: Vicke <email address hidden>
Subject: Re: [Bug 450569] Re: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
To: <email address hidden>
Date: Monday, March 1, 2010, 10:36 PM

Where do I find Quickstater at?

-----Original Message-----
From: Scott M Sanders <email address hidden>
To: <email address hidden>
Sent: Mon, Mar 1, 2010 4:08 pm
Subject: [Bug 450569] Re: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:

Base is OpenOffice's database app.
I had Quickstarter on; closing that fixed it. It should have done that
tself though.
--
ackage openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
ttps://bugs.launchpad.net/bugs/450569
ou received this bug notification because you are a direct subscriber
f a duplicate bug.
Status in “docvert” package in Ubuntu: In Progress
tatus in “openoffice.org” package in Ubuntu: Fix Released
tatus in “update-manager” package in Ubuntu: Confirmed
tatus in “docvert” source package in Lucid: In Progress
tatus in “openoffice.org” source package in Lucid: Fix Released
tatus in “update-manager” source package in Lucid: Confirmed
tatus in “docvert” source package in Karmic: Fix Committed
tatus in “openoffice.org” source package in Karmic: Fix Released
tatus in “update-manager” source package in Karmic: Confirmed
Bug description:
inary package hint: openoffice.org
during a jaunty->karmic upgrade
ProblemType: Package
rchitecture: i386
ate: Tue Oct 13 18:34:21 2009
istroRelease: Ubuntu 9.10
rrorMessage:
ErrorMessage: package openoffice.org-emailmerge is already installed and
onfigured
ackage: openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1
ackageArchitecture: all
rocVersionSignature: Ubuntu 2.6.28-13.44-generic
ourcePackage: openoffice.org
itle: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to
nstall/upgrade:
name: Linux 2.6.28-13-generic i686
To unsubscribe from this bug, go to:
ttps://bugs.launchpad.net/ubuntu/+source/docvert/+bug/450569/+subscribe

--
package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
https://bugs.launchpad.net/bugs/450569
You received this bug notification because you are a direct subscriber
of the bug.

Status in “docvert” package in Ubuntu: In Progress
Status in “openoffice.org” package in Ubuntu: Fix Released
Status in “update-manager” package in Ubuntu: Confirmed
Status in “docvert” source package in Lucid: In Progress
Status in “openoffice.org” source package in Lucid: Fix Released
Status in “update-manager” source package in Lucid: Confirmed
Status in “docvert” source...

Read more...

Download full text (3.9 KiB)

sorry I didn't respond sooner.

I ofter "fix" something and have no idea how I did it.

worse yet if it is a problem my wife has, when she tries to show it to me , it does not happen ....LOL

Saverio J Marasco
                              Blue Juniata Consulting
                               Mifflintown, PA 17059
                        "Working with computers since 1972"
       Jesus is the Rock of my salvation, I put my life completely in his hands

--- On Mon, 3/1/10, Vicke <email address hidden> wrote:

From: Vicke <email address hidden>
Subject: Re: [Bug 450569] Re: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
To: <email address hidden>
Date: Monday, March 1, 2010, 10:46 PM

I got it to work I have no idea what I did but the email merge is on updated.  Thanks for your help.

Vickie

-----Original Message-----
From: Scott M Sanders <email address hidden>
To: <email address hidden>
Sent: Mon, Mar 1, 2010 4:08 pm
Subject: [Bug 450569] Re: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:

Base is OpenOffice's database app.
I had Quickstarter on; closing that fixed it. It should have done that
tself though.
--
ackage openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
ttps://bugs.launchpad.net/bugs/450569
ou received this bug notification because you are a direct subscriber
f a duplicate bug.
Status in “docvert” package in Ubuntu: In Progress
tatus in “openoffice.org” package in Ubuntu: Fix Released
tatus in “update-manager” package in Ubuntu: Confirmed
tatus in “docvert” source package in Lucid: In Progress
tatus in “openoffice.org” source package in Lucid: Fix Released
tatus in “update-manager” source package in Lucid: Confirmed
tatus in “docvert” source package in Karmic: Fix Committed
tatus in “openoffice.org” source package in Karmic: Fix Released
tatus in “update-manager” source package in Karmic: Confirmed
Bug description:
inary package hint: openoffice.org
during a jaunty->karmic upgrade
ProblemType: Package
rchitecture: i386
ate: Tue Oct 13 18:34:21 2009
istroRelease: Ubuntu 9.10
rrorMessage:
ErrorMessage: package openoffice.org-emailmerge is already installed and
onfigured
ackage: openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1
ackageArchitecture: all
rocVersionSignature: Ubuntu 2.6.28-13.44-generic
ourcePackage: openoffice.org
itle: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to
nstall/upgrade:
name: Linux 2.6.28-13-generic i686
To unsubscribe from this bug, go to:
ttps://bugs.launchpad.net/ubuntu/+source/docvert/+bug/450569/+subscribe

--
package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
https://bugs.launchpad.net/bugs/450569
You received this bug notification because you are a direct subscriber
of the bug.

Status in “docvert” package in Ubuntu: In Progress
Status in “openoffice.org” package in Ubuntu: Fix Released
Status in “update-manager” package in Ubuntu: Confirmed
Status in “docvert” source package in Lucid: In Progress
Status in “openoffice.org” source package in Lucid: Fix Released
Status in “update-manager” source package in Lucid: Confirmed
Status in “docvert” source package in Karmic: F...

Read more...

When I do the command 'soffice' in the terminal,I have this message :
/usr/lib/openoffice/program/soffice.bin: error while loading shared libraries: libicuuc.so.40: cannot open shared object file: No such file or directory
For more information about my problem, I post the Bug [525208] but it was a duplicate of this bug.
I do this commands :
sudo apt-get remove openoffice.org-filter-binfilter
sudo apt-get autoremove --> linux-headers-2.6.28-11 linux-headers-2.6.28-11-generic are deleting
 sudo apt-get update
sudo apt-get install openoffice.org-filter-binfilter

And i have always this message:

Reading package lists... Done
Building dependency tree
Reading state information... Done
openoffice.org-filter-binfilter is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up openoffice.org-filter-binfilter (1:3.1.1-5ubuntu1.1) ...
file:///usr/lib/openoffice/basis3.1/program/libbf_migratefilterli.so
register component 'file:///usr/lib/openoffice/basis3.1/program/libbf_migratefilterli.so' in registry '/var/lib/openoffice/basis3.1/program/services.rdb' failed!
error (CannotRegisterImplementationException): loading component library failed: file:///usr/lib/openoffice/basis3.1/program/libbf_migratefilterli.so
dpkg: error processing openoffice.org-filter-binfilter (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 openoffice.org-filter-binfilter
E: Sub-process /usr/bin/dpkg returned an error code (1)

What do you think about?

Binary package hint: openoffice.org
during a karmic update
ProblemType: Package
Architecture: i386
Date: March 6, 2010
DistroRelease: Ubuntu 9:10
ErrorMessage: E: /var/cache/apt/archives/openffice.org-filter-binfilter_1%3A31.1-ubuntu1.1_i386.deb: subprocess new pre-installation script returned error exit status 1
E: /var/cache/apt/archives/openffice.org-emailmerge_1%3A31.1-ubuntu1.1_i386_all.deb: subprocess new pre-installation script returned error exit status 1
ProcVersionSignature: Ubuntu 2.6.31-20-generic-pae
SourcePackage: openoffice.org
Title: package openoffice.org-emailmerge 1:3.1.1-5ubuntu1
openoffice.org-filter-binfilter, versions 1:3.1.1-5ubuntu1.1
Package Architecture: all
Uname: Linux 2.6.31-20-generic-pae

Verbose:
Karmic upgrade ended with a broken packages in openoffice.org-emailmerge and openoffice.org-filter-binfilter, versions 1:3.1.1-5ubuntu1 and 1:3.1.1-5ubuntu1.1 respectively. When using GUI tools or Command line to fix the broken packages it says, "OpenOffice.org is running right now. A running OpenOffice.org makes extension (de-) registration not possible and it causes problems with (de-) registering components." Before closing the final remarks are: "Processing triggers for libc-bin ... ldconfig deferred processing now taking place..."
Then the error page comes up:
Please close OpenOffice.org (including an eventually running Quickstarter)
Closes with:
E: /var/cache/apt/archives/openffice.org-filter-binfilter_1%3A31.1-ubuntu1.1_i386.deb: subprocess new pre-installation script returned error exit status 1

E: /var/cache/apt/archives/openffice.org-emailmerge_1%3A31.1-ubuntu1.1_i386_all.deb: subprocess new pre-installation script returned error exit status 1

-> for every update or package installation, or broken package fix the entire process above repeats itself.
-> OpenOffice.org nor any of its depends were running at any stage.
->POINT: However, during the first alert for an UPDATE, I had a document open, saved it, closed, returned to the update and clicked "FORWARD." That could have caused the break but in at least 50 times since then I haven't been able to fix the break.

Gildas (gildas-robino) wrote :

To resolve my problem, I download the last version of openoffice in the site www.openoffice.org.
I remove the paquets openffice.org-core and openoffice.org-common by the commands :

sudo apt-get autoremove openoffice.org-core
sudo apt-get autoremove openoffice.org-common

After, I install the new version by the commands :

cd [openffice new version directory]./DEBS/
sudo dpkg -i --force-overwrite *.deb
cd desktop-integration
sudo dpkg -i --force-overwrite *.deb

Now, it's OK.

Changed in docvert (Ubuntu Karmic):
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
Horst Seeger (horstseeger) wrote :

I don't know how, but first I got the error message, that some updates of OpenOffice cannot be installed because it is still running. Then at the end the update manager told me, that my system is up to date. Even when I checked it once more it announced everything ok.

Before launching the update, launch the "sytem monitor".
A list of process appears and do a kill on the soffice process (right
click).
Then you can start the update.

2010/3/8 Horst Seeger <email address hidden>

> I don't know how, but first I got the error message, that some updates
> of OpenOffice cannot be installed because it is still running. Then at
> the end the update manager told me, that my system is up to date. Even
> when I checked it once more it announced everything ok.
>
> --
> package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to
> install/upgrade:
> https://bugs.launchpad.net/bugs/450569
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “docvert” package in Ubuntu: In Progress
> Status in “openoffice.org” package in Ubuntu: Fix Released
> Status in “update-manager” package in Ubuntu: Confirmed
> Status in “docvert” source package in Lucid: In Progress
> Status in “openoffice.org” source package in Lucid: Fix Released
> Status in “update-manager” source package in Lucid: Confirmed
> Status in “docvert” source package in Karmic: Fix Committed
> Status in “openoffice.org” source package in Karmic: Fix Committed
> Status in “update-manager” source package in Karmic: Confirmed
>
> Bug description:
> Binary package hint: openoffice.org
>
> during a jaunty->karmic upgrade
>
> ProblemType: Package
> Architecture: i386
> Date: Tue Oct 13 18:34:21 2009
> DistroRelease: Ubuntu 9.10
> ErrorMessage:
> ErrorMessage: package openoffice.org-emailmerge is already installed and
> configured
> Package: openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1
> PackageArchitecture: all
> ProcVersionSignature: Ubuntu 2.6.28-13.44-generic
> SourcePackage: openoffice.org
> Title: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to
> install/upgrade:
> Uname: Linux 2.6.28-13-generic i686
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/docvert/+bug/450569/+subscribe
>

Thank you - that worked.

Gildas wrote:
> Before launching the update, launch the "sytem monitor".
> A list of process appears and do a kill on the soffice process (right
> click).
> Then you can start the update.
>
>
> 2010/3/8 Horst Seeger <email address hidden>
>
>
>> I don't know how, but first I got the error message, that some updates
>> of OpenOffice cannot be installed because it is still running. Then at
>> the end the update manager told me, that my system is up to date. Even
>> when I checked it once more it announced everything ok.
>>
>> --
>> package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to
>> install/upgrade:
>> https://bugs.launchpad.net/bugs/450569
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug.
>>
>> Status in “docvert” package in Ubuntu: In Progress
>> Status in “openoffice.org” package in Ubuntu: Fix Released
>> Status in “update-manager” package in Ubuntu: Confirmed
>> Status in “docvert” source package in Lucid: In Progress
>> Status in “openoffice.org” source package in Lucid: Fix Released
>> Status in “update-manager” source package in Lucid: Confirmed
>> Status in “docvert” source package in Karmic: Fix Committed
>> Status in “openoffice.org” source package in Karmic: Fix Committed
>> Status in “update-manager” source package in Karmic: Confirmed
>>
>> Bug description:
>> Binary package hint: openoffice.org
>>
>> during a jaunty->karmic upgrade
>>
>> ProblemType: Package
>> Architecture: i386
>> Date: Tue Oct 13 18:34:21 2009
>> DistroRelease: Ubuntu 9.10
>> ErrorMessage:
>> ErrorMessage: package openoffice.org-emailmerge is already installed and
>> configured
>> Package: openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1
>> PackageArchitecture: all
>> ProcVersionSignature: Ubuntu 2.6.28-13.44-generic
>> SourcePackage: openoffice.org
>> Title: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to
>> install/upgrade:
>> Uname: Linux 2.6.28-13-generic i686
>>
>> To unsubscribe from this bug, go to:
>> https://bugs.launchpad.net/ubuntu/+source/docvert/+bug/450569/+subscribe
>>
>>
>
>

Sorry, in spite of announcing "problem solved" the problem still exists. It is with these parts of OpenOffice:
openoffice.org-emailmerge
 openoffice.org-filter-binfilter
 openoffice.org-report-builder
 openoffice.org-pdfimport

Everytime I install somethingelse now I get the errormessage, that OpenOffice is still running and the bove mentiones software cannot be updated.
The system monitor cannot help me - I was adviced to look for OpenOffice process running. It doesn't show such a process or it is running under a name, which I don't know.

In Terminal, I typed in killall soffice.bin then ran the upgrade; it worked.

I did it too and got the error messages:
Richte openoffice.org-filter-binfilter ein (1:3.1.1-5ubuntu1.1) ...
dpkg: Fehler beim Bearbeiten von openoffice.org-filter-binfilter (--configure):
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
Richte openoffice.org-report-builder ein (1:1.1.0+OOo3.1.1-5ubuntu1.1) ...
dpkg: Fehler beim Bearbeiten von openoffice.org-report-builder (--configure):
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
Richte openoffice.org-pdfimport ein (1.0+OOo3.1.1-5ubuntu1.1) ...
dpkg: Fehler beim Bearbeiten von openoffice.org-pdfimport (--configure):
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
Richte tzdata-java ein (2010e-0ubuntu0.9.10) ...
Fehler traten auf beim Bearbeiten von:
 openoffice.org-filter-binfilter
 openoffice.org-report-builder
 openoffice.org-pdfimport
E: Sub-process /usr/bin/dpkg returned an error code (1)

sorry it's German:-)
but means: openoffice is still running, (and I cannot find it) so the upgrades were not possible

Download full text (3.2 KiB)

Hello Horst,
  Thanks for all that information, but where does that leave me? I'm not a techie at all and I've gotten a bunch of responses and have no idea what it all means.

Don

> Date: Fri, 12 Mar 2010 16:56:59 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 450569] Re: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
>
> I did it too and got the error messages:
> Richte openoffice.org-filter-binfilter ein (1:3.1.1-5ubuntu1.1) ...
> dpkg: Fehler beim Bearbeiten von openoffice.org-filter-binfilter (--configure):
> Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
> Richte openoffice.org-report-builder ein (1:1.1.0+OOo3.1.1-5ubuntu1.1) ...
> dpkg: Fehler beim Bearbeiten von openoffice.org-report-builder (--configure):
> Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
> Richte openoffice.org-pdfimport ein (1.0+OOo3.1.1-5ubuntu1.1) ...
> dpkg: Fehler beim Bearbeiten von openoffice.org-pdfimport (--configure):
> Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
> Richte tzdata-java ein (2010e-0ubuntu0.9.10) ...
> Fehler traten auf beim Bearbeiten von:
> openoffice.org-filter-binfilter
> openoffice.org-report-builder
> openoffice.org-pdfimport
> E: Sub-process /usr/bin/dpkg returned an error code (1)
>
> sorry it's German:-)
> but means: openoffice is still running, (and I cannot find it) so the upgrades were not possible
>
> --
> package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
> https://bugs.launchpad.net/bugs/450569
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “docvert” package in Ubuntu: In Progress
> Status in “openoffice.org” package in Ubuntu: Fix Released
> Status in “update-manager” package in Ubuntu: Confirmed
> Status in “docvert” source package in Lucid: In Progress
> Status in “openoffice.org” source package in Lucid: Fix Released
> Status in “update-manager” source package in Lucid: Confirmed
> Status in “docvert” source package in Karmic: Fix Committed
> Status in “openoffice.org” source package in Karmic: Fix Committed
> Status in “update-manager” source package in Karmic: Confirmed
>
> Bug description:
> Binary package hint: openoffice.org
>
> during a jaunty->karmic upgrade
>
> ProblemType: Package
> Architecture: i386
> Date: Tue Oct 13 18:34:21 2009
> DistroRelease: Ubuntu 9.10
> ErrorMessage:
> ErrorMessage: package openoffice.org-emailmerge is already installed and configured
> Package: openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1
> PackageArchitecture: all
> ProcVersionSignature: Ubuntu 2.6.28-13.44-generic
> SourcePackage: openoffice.org
> Title: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
> Uname: Linux 2.6.28-13-generic i686
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/docvert/+bug/450569/+subscribe

_________________________________________________________________
Hotmail is redefining busy with tools for the New Busy. Get more from your inbox.
http://www.windowsliv...

Read more...

Changes for the versions:
1:3.1.1-5ubuntu1
1:3.1.1-5ubuntu1.1

Version 1:3.1.1-5ubuntu1.1:

  * Correct check for lockfile and have it log if in noninteractive mode
    that OOo should not be running during upgrade. (LP: #450569)

  * ooo-build/patches/dev300/cws-impress178-xpm-and-gif-fix.diff: fix
    "OpenOffice.org XPM Import Integer Overflow" and
    "OpenOffice.org GIF Import Heap Overflow"
    - CVE-2009-2949
    - CVE-2009-2950
  * ooo-build/patches/dev300/cws-hb32showstoppers3.diff: fix
    "OOO sprmTDefTable issue" and "OOO sprmTSetBrc issue"
    - CVE-2009-3301
    - CVE-2009-3302
  * ooo-build/patches/dev300/libxmlsec-CVE-2009-0217.diff: fix internal
    libxmlsec copy (just the nss part)
    - CVE-2009-0217
  * ooo-build/patches/dev300/vba-macro-properties.diff: fix vba macros not
    honoring security settings
    - CVE-2010-0136

also receive error messages: You have 9 broken packages on your system!

Use the "Broken" filter to locate them.

When I apply broken filter nothing happens.

What to do?

Perry Davies
PerryBuntu

Changed in docvert (Ubuntu Karmic):
status: Fix Committed → Fix Released

Hello, It is really nice that you wrote to me as did a few other people, but I have no idea what it all means. Could you tell me in English what I need to do?

thanks,
Don

> Date: Mon, 29 Mar 2010 04:55:10 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 450569] Re: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
>
> ** Changed in: docvert (Ubuntu Karmic)
> Status: Fix Committed => Fix Released
>
> --
> package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
> https://bugs.launchpad.net/bugs/450569
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “docvert” package in Ubuntu: In Progress
> Status in “openoffice.org” package in Ubuntu: Fix Released
> Status in “update-manager” package in Ubuntu: Confirmed
> Status in “docvert” source package in Lucid: In Progress
> Status in “openoffice.org” source package in Lucid: Fix Released
> Status in “update-manager” source package in Lucid: Confirmed
> Status in “docvert” source package in Karmic: Fix Released
> Status in “openoffice.org” source package in Karmic: Fix Committed
> Status in “update-manager” source package in Karmic: Confirmed
>
> Bug description:
> Binary package hint: openoffice.org
>
> during a jaunty->karmic upgrade
>
> ProblemType: Package
> Architecture: i386
> Date: Tue Oct 13 18:34:21 2009
> DistroRelease: Ubuntu 9.10
> ErrorMessage:
> ErrorMessage: package openoffice.org-emailmerge is already installed and configured
> Package: openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1
> PackageArchitecture: all
> ProcVersionSignature: Ubuntu 2.6.28-13.44-generic
> SourcePackage: openoffice.org
> Title: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
> Uname: Linux 2.6.28-13-generic i686
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/docvert/+bug/450569/+subscribe

_________________________________________________________________
Hotmail has tools for the New Busy. Search, chat and e-mail from your inbox.
http://www.windowslive.com/campaign/thenewbusy?ocid=PID27925::T:WLMTAGL:ON:WL:en-US:WM_HMP:032010_1

alexandre (estachy) on 2010-03-30
Changed in docvert (Ubuntu Karmic):
status: Fix Released → Fix Committed
Changed in openoffice.org (Ubuntu Karmic):
status: Fix Committed → Fix Released
Don (donclay23) wrote :

Thanks for writing, but I don't understand a single word. How do I fix it?

Don

> Date: Tue, 30 Mar 2010 21:50:17 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 450569] Re: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
>
> ** Changed in: docvert (Ubuntu Karmic)
> Status: Fix Released => Fix Committed
>
> ** Changed in: openoffice.org (Ubuntu Karmic)
> Status: Fix Committed => Fix Released
>
> --
> package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
> https://bugs.launchpad.net/bugs/450569
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “docvert” package in Ubuntu: In Progress
> Status in “openoffice.org” package in Ubuntu: Fix Released
> Status in “update-manager” package in Ubuntu: Confirmed
> Status in “docvert” source package in Lucid: In Progress
> Status in “openoffice.org” source package in Lucid: Fix Released
> Status in “update-manager” source package in Lucid: Confirmed
> Status in “docvert” source package in Karmic: Fix Committed
> Status in “openoffice.org” source package in Karmic: Fix Released
> Status in “update-manager” source package in Karmic: Confirmed
>
> Bug description:
> Binary package hint: openoffice.org
>
> during a jaunty->karmic upgrade
>
> ProblemType: Package
> Architecture: i386
> Date: Tue Oct 13 18:34:21 2009
> DistroRelease: Ubuntu 9.10
> ErrorMessage:
> ErrorMessage: package openoffice.org-emailmerge is already installed and configured
> Package: openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1
> PackageArchitecture: all
> ProcVersionSignature: Ubuntu 2.6.28-13.44-generic
> SourcePackage: openoffice.org
> Title: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
> Uname: Linux 2.6.28-13-generic i686
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/docvert/+bug/450569/+subscribe

_________________________________________________________________
Hotmail: Free, trusted and rich email service.
http://clk.atdmt.com/GBL/go/196390708/direct/01/

Download full text (4.6 KiB)

Basically, when I downloaded updates, a package failed to install and screwed things up. Ubuntu works fine now, but GRUB has two entries for the same thing. Sometimes when one entry fails to boot, the other one works fine. It's kinda strange because for a while the first entry in GRUB just booted as text based with the screen rapidly blinking. After a while it dissappeared, and both entries work fine I hope I'm not confusing you any, but I think the package has a glitch somewhere. I'll send you a pic of the GRUB screen if needed.

> Date: Tue, 30 Mar 2010 23:29:28 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: RE: [Bug 450569] Re: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
>
>
> Thanks for writing, but I don't understand a single word. How do I fix it?
>
> Don
>
> > Date: Tue, 30 Mar 2010 21:50:17 +0000
> > From: <email address hidden>
> > To: <email address hidden>
> > Subject: [Bug 450569] Re: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
> >
> > ** Changed in: docvert (Ubuntu Karmic)
> > Status: Fix Released => Fix Committed
> >
> > ** Changed in: openoffice.org (Ubuntu Karmic)
> > Status: Fix Committed => Fix Released
> >
> > --
> > package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
> > https://bugs.launchpad.net/bugs/450569
> > You received this bug notification because you are a direct subscriber
> > of a duplicate bug.
> >
> > Status in “docvert” package in Ubuntu: In Progress
> > Status in “openoffice.org” package in Ubuntu: Fix Released
> > Status in “update-manager” package in Ubuntu: Confirmed
> > Status in “docvert” source package in Lucid: In Progress
> > Status in “openoffice.org” source package in Lucid: Fix Released
> > Status in “update-manager” source package in Lucid: Confirmed
> > Status in “docvert” source package in Karmic: Fix Committed
> > Status in “openoffice.org” source package in Karmic: Fix Released
> > Status in “update-manager” source package in Karmic: Confirmed
> >
> > Bug description:
> > Binary package hint: openoffice.org
> >
> > during a jaunty->karmic upgrade
> >
> > ProblemType: Package
> > Architecture: i386
> > Date: Tue Oct 13 18:34:21 2009
> > DistroRelease: Ubuntu 9.10
> > ErrorMessage:
> > ErrorMessage: package openoffice.org-emailmerge is already installed and configured
> > Package: openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1
> > PackageArchitecture: all
> > ProcVersionSignature: Ubuntu 2.6.28-13.44-generic
> > SourcePackage: openoffice.org
> > Title: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
> > Uname: Linux 2.6.28-13-generic i686
> >
> > To unsubscribe from this bug, go to:
> > https://bugs.launchpad.net/ubuntu/+source/docvert/+bug/450569/+subscribe
>
> _________________________________________________________________
> Hotmail: Free, trusted and rich email service.
> http://clk.atdmt.com/GBL/go/196390708/direct/01/
>
> --
> package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to install/upgrade:
> https://bugs.launchpad.net/bugs/450569
> You received this bug notification because you are a direct subscriber
>...

Read more...

adam renaud (muckanee) on 2010-04-05
Changed in openoffice.org (Ubuntu Karmic):
status: Fix Released → New

Please do not change the status of a bug report without an explanation.

Changed in openoffice.org (Ubuntu Karmic):
status: New → Fix Released
Chris Cheney (ccheney) on 2010-04-06
Changed in docvert (Ubuntu Karmic):
status: Fix Committed → Invalid
Changed in docvert (Ubuntu Lucid):
status: In Progress → Invalid
Changed in update-manager (Ubuntu Karmic):
status: Confirmed → Fix Released
Changed in update-manager (Ubuntu Lucid):
status: Confirmed → Invalid

http://ubuntuforums.org/showthread.php?p=9160757&posted=1#post9160757

looks like this is still an issue with 10.04 for some people...

Changed in openoffice.org (Ubuntu):
status: Fix Released → In Progress
Mitch Towner (kermiac) wrote :

@kojoboy
Please do not change the status on bug reports without commenting. Thanks for understanding.

Changed in openoffice.org (Ubuntu):
status: In Progress → Fix Released
Rolf Leggewie (r0lf) wrote :

This still happened in lucid (see bug 626493 and bug 633788) so it looks like the fix wasn't completely successful. Reopening for verification.

FWIW, I don't think I ever ran into this issue. I'm just merging a bunch of issues into this one and reopening this master ticket.

Changed in openoffice.org (Ubuntu):
status: Fix Released → Triaged
summary: - package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to
+ [Master] package openoffice.org-emailmerge 1:3.2.0-7ubuntu4.1 failed to
install/upgrade:
Rolf Leggewie (r0lf) on 2010-11-04
tags: added: karmic lucid

Is there still a change needed for LibreOffice packaging for this?

Changed in openoffice.org (Ubuntu):
status: Triaged → Incomplete

Thank you Björn

I'm a naive user and simply reported the bug as I was given the option.
Therefore it's probably best to not include me in any further discussion.

Regards

Adam Thomson

2011/4/8 Björn Michaelsen <email address hidden>

> Is there still a change needed for LibreOffice packaging for this?
>
> ** Changed in: openoffice.org (Ubuntu)
> Status: Triaged => Incomplete
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (633696).
> https://bugs.launchpad.net/bugs/450569
>
> Title:
> [Master] package openoffice.org-emailmerge 1:3.2.0-7ubuntu4.1 failed
> to install/upgrade:
>
> Status in “docvert” package in Ubuntu:
> Invalid
> Status in “openoffice.org” package in Ubuntu:
> Incomplete
> Status in “update-manager” package in Ubuntu:
> Invalid
> Status in “docvert” source package in Lucid:
> Invalid
> Status in “openoffice.org” source package in Lucid:
> Fix Released
> Status in “update-manager” source package in Lucid:
> Invalid
> Status in “docvert” source package in Karmic:
> Invalid
> Status in “openoffice.org” source package in Karmic:
> Fix Released
> Status in “update-manager” source package in Karmic:
> Fix Released
>
> Bug description:
> Binary package hint: openoffice.org
>
> during a jaunty->karmic upgrade
>
> ProblemType: Package
> Architecture: i386
> Date: Tue Oct 13 18:34:21 2009
> DistroRelease: Ubuntu 9.10
> ErrorMessage:
> ErrorMessage: package openoffice.org-emailmerge is already installed and
> configured
> Package: openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1
> PackageArchitecture: all
> ProcVersionSignature: Ubuntu 2.6.28-13.44-generic
> SourcePackage: openoffice.org
> Title: package openoffice.org-emailmerge 1:3.0.1-9ubuntu3.1 failed to
> install/upgrade:
> Uname: Linux 2.6.28-13-generic i686
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/docvert/+bug/450569/+subscribe
>

Changed in openoffice.org (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers